| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.IService Interface Reference

Service interface. More...

Inheritance diagram for LicenseSpring.IService:

## Public Member Functions
void | Initialize (ManagementConfiguration configuration)
| Initialize management service with given configuration.
bool | IsInitialized ()
| Check whether management service has been initialized.
bool | IsOnline (bool throwExceptions=false)
| Helper method, it checks connection to the LicenseSpring platform.

## Detailed Description

Service interface.

## Member Function Documentation

## ◆ Initialize()

void LicenseSpring.IService.Initialize | ( | ManagementConfiguration | configuration | ) |

Initialize management service with given configuration.

Parameters

  configuration | ManagementConfiguration object to use

Exceptions

  System.ArgumentNullException | Thrown when configuration is null

Implemented in LicenseSpring.BaseService.

## ◆ IsInitialized()

bool LicenseSpring.IService.IsInitialized | ( |  | ) |

Check whether management service has been initialized.

Returns
  True if management service has been initialized and ready to use or false otherwise

Implemented in LicenseSpring.BaseService.

## ◆ IsOnline()

bool LicenseSpring.IService.IsOnline | ( | bool | throwExceptions = `false` | ) |

Helper method, it checks connection to the LicenseSpring platform.

Parameters

  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.

Returns
  True if SDK is able to connect to the LicenseSpring platform and false otherwise.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

Implemented in LicenseSpring.BaseService.

The documentation for this interface was generated from the following file:

- IService.cs